Bug 862779 - [RFE] Expose katello-api-docs via httpd
[RFE] Expose katello-api-docs via httpd
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: API (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Katello Bug Bin
Katello QA List
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-03 10:12 EDT by james labocki
Modified: 2013-03-27 16:05 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-01 08:51:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description james labocki 2012-10-03 10:12:09 EDT
Is it possible to expose the contents of /usr/share/doc/katello-api-docs-1.1.12/apidoc/ via apache for user friendliness? It would be ideal if installation of katello-api-docs created an entry in /etc/httpd/conf.d/ that exposed that.
Comment 3 Ivan Necas 2013-02-01 08:51:26 EST
After inatelling katello-api-docs package on the server, the documentation should be avaliable on:

    https://server/katello/apidoc

Note You need to log in before you can comment on or make changes to this bug.